cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dmitry Blotsky <>
Subject Re: [DISCUSS] Release file-transfer, media and media-capture
Date Wed, 02 Dec 2015 01:08:58 GMT
I created a task: Also, we should drop _all_
0.x.x dependencies for sanity’s sake (refer here:
If we just *must* use software below 1.0.0, we should be using “==“. Any disagreements?


On Dec 1, 2015, at 4:15 PM, Jesse <<>>

sounds good to me! Sounds like we need to.


On Tue, Dec 1, 2015 at 3:50 PM, Steven Gill <> wrote:

Due to file-transfer, media and media-capture having a dependency on the
file plugin, I propose we do a few patch/major releases for those plugins.

Currently, the file dependency for these three plugins was set to grab new
majors automatically. This was a pretty big problem when people working
with cordova-android@4.x installed file-transfer and it was grabbing a
version of file that wasn't compatible.

I updated the deps so it would only grab minor and patch changes. See

I suggest we do the following releases where 1.x.x would have file ^3.0.0
and 2.x.x would have file ^4.0.0:
File-transfer@1.4.1 & 2.0.0.
media@1.0.2 & 2.0.1
media-capture@1.1.1 & 2.0.0

  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message